import 'package:flutter/material.dart';

/// DEFAULT
const Color defaultColor = Colors.lightBlue;
const String defaultError = "Ops.., something error or error when get data.";
const String defaultErrorNoData = "No data found.";
const String defaultLoading = "Please wait...";
const String defaultLogoImage = "assets/images/gwk-logo.png";
const String defaultPrintLogoImage = "assets/images/print-logo-gwk.png";
const String defaultErrorImage = "assets/images/error_404.jpg";
const String defaultFont = "Pantone";

/// CODE TAG
const String example_printText =
    'https://gist.github.com/irpankusuma/a3cd99c06941e8111802334484ca37d8';
const String example_printQRCode =
    'https://gist.github.com/irpankusuma/a3cd99c06941e8111802334484ca37d8';
const String example_printBarcode =
    'https://gist.github.com/irpankusuma/a3cd99c06941e8111802334484ca37d8';
const String example_printImage =
    'https://gist.github.com/irpankusuma/a3cd99c06941e8111802334484ca37d8';
const String example_printAdvance =
    'https://gist.github.com/irpankusuma/a3cd99c06941e8111802334484ca37d8';

/// DATA ARRAY PRINTING
const String json_printing = '''
[
	{
		"OrderNo":0,
		"PrintType":"ALIGN",
		"PrintContent":null,
		"Options": {
			"FontSize":null,
			"FontName":null,
			"QRCodeModuleSize":16,
			"QRCodeErrorLevel":1,
			"BarcodeHeight":255,
			"BarcodeWidth":6,
			"BarcodeSymbology":0,
			"BarcodeTextPosition":0,
			"TextAlign":1
		}
	},
	{
		"OrderNo":0,
		"PrintType":"FONTSIZE",
		"PrintContent":null,
		"Options": {
			"FontSize":30,
			"FontName":null,
			"QRCodeModuleSize":16,
			"QRCodeErrorLevel":1,
			"BarcodeHeight":255,
			"BarcodeWidth":6,
			"BarcodeSymbology":0,
			"BarcodeTextPosition":0,
			"TextAlign":1
		}
	},
	{
		"OrderNo":0,
		"PrintType":"TEXT",
		"PrintContent":"AKU ADALAH PRINT DARI ARRAY ADVANCE PRINT",
		"Options": {
			"FontSize":30,
			"FontName":null,
			"QRCodeModuleSize":16,
			"QRCodeErrorLevel":1,
			"BarcodeHeight":255,
			"BarcodeWidth":6,
			"BarcodeSymbology":0,
			"BarcodeTextPosition":0,
			"TextAlign":1
		}
	},
	{
		"OrderNo":0,
		"PrintType":"BARCODE",
		"PrintContent":"AKU ADALAH PRINT DARI ARRAY ADVANCE PRINT",
		"Options": {
			"FontSize":30,
			"FontName":null,
			"QRCodeModuleSize":16,
			"QRCodeErrorLevel":1,
			"BarcodeHeight":255,
			"BarcodeWidth":6,
			"BarcodeSymbology":0,
			"BarcodeTextPosition":0,
			"TextAlign":1
		}
	},
	{
		"OrderNo":0,
		"PrintType":"QRCODE",
		"PrintContent":"AKU ADALAH PRINT DARI ARRAY ADVANCE PRINT",
		"Options": {
			"FontSize":30,
			"FontName":null,
			"QRCodeModuleSize":16,
			"QRCodeErrorLevel":1,
			"BarcodeHeight":255,
			"BarcodeWidth":6,
			"BarcodeSymbology":0,
			"BarcodeTextPosition":0,
			"TextAlign":1
		}
	}
]
''';

const String jsonExample2 = '''
[
	{
		"OrderNo":0,
		"PrintType":"ALIGN",
		"PrintContent":null,
		"Options": {
			"TextAlign":1
		}
	},
	{
		"OrderNo":1,
		"PrintType":"FONTSIZE",
		"PrintContent":null,
		"Options": {
			"FontSize":30,
		}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"DJAGUNG",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"DATE 	: 19-10-2019",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Time 	: 14:55",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Outlet 	: AA01-01",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Salesman 	: S01,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"PaymentType 	: Tertuang",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Payment Due 	: 14-10-2019",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Order",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"#1 [B-12,Pack,2,Rp. 10000000]",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"#1 [B-12,Ball,2,Rp. 10000000]",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Salesman",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"---------------------",
		"Options": {}
	},
	{
		"OrderNo":3,
		"PrintType":"ENTER",
		"PrintContent":null,
		"Options": {}
	},
	{
		"OrderNo":2,
		"PrintType":"TEXT",
		"PrintContent":"Outlet",
		"Options": {}
	},
]
''';
