import 'package:flutter/material.dart';
import 'package:sunmi/class.dart';

class ErrorLevel {
  final String name;
  final ERRORLEVEL errorlevel;

  ErrorLevel({this.name, this.errorlevel});
}

class Symbology {
  final SYMBOLOGY symbology;
  final String name;

  Symbology({this.symbology, this.name});
}

class TextPos {
  final TEXTPOS textpos;
  final String name;

  TextPos({this.textpos, this.name});
}

class ImagePrintFile {
  final String filename;
  final String fileUrl;

  ImagePrintFile({this.filename, this.fileUrl});
}

class MenuService {
  final String name;
  final Icon icons;
  final VoidCallback onTap;

  MenuService({this.name, this.icons, this.onTap});
}
